# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'j4zzcat/utils/rake/version'

Gem::Specification.new do |spec|
  spec.name          = 'j4zzcat-utils-rake'
  spec.version       = J4zzcat::Utils::Rake::VERSION
  spec.authors       = [ 'Sharon Dagan' ]
  spec.email         = [ 'sharon.dagan@gmail.com' ]
  spec.license       = 'GPL-3.0'
  spec.summary       = 'Runs rake tasks within docker'
  spec.homepage      = 'https://github.com/j4zzcat/dockerized-rake'

  spec.metadata[ 'allowed_push_host' ] = 'https://rubygems.org'
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match( %r{^(test|spec|features)/} )
  end      
  spec.require_paths = [ 'lib' ]

  # spec.add_dependency
  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake',    '~> 10.5'
  spec.add_development_dependency 'ripl',    '~> 0.7'
  
end
